Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_hash_bdb_put

## Name

librdf_hash_bdb_put -- Store a key/value pair in the hash

## Synopsis

``int `librdf_hash_bdb_put`` (void* `context`, librdf_hash_datum * `key`, librdf_hash_datum * `value`);`

## Arguments

`context`

  BerkeleyDB hash context

`key`

  pointer to key to store

`value`

  pointer to value to store

## Return value

non 0 on failure

<<< Previous | Home | Next >>>
librdf_hash_bdb_cursor_finish | Up | librdf_hash_bdb_exists